%define name		vls
%define version		0.5.6
%define release		%mkrel 5

Summary:	VideoLAN is a free streaming software solution
Name:		%{name}
Version:	%{version}
Release:	%{release}
License:	GPL
URL:		http://www.videolan.org/
Group:		System/Servers
Source:		http://www.videolan.org/pub/videolan/vls/%{version}/%{name}-%{version}.tar.bz2
Patch0:         vls-0.5.6-gcc34.patch.bz2
BuildRoot:	%_tmppath/%name-%version-%release-root
Buildrequires:	libdvbpsi4-devel
Buildrequires:	libdvdread-devel
Buildrequires:	libdvb-devel

%description
VideoLAN is a free streaming software solution developed by
students from the Ecole Centrale Paris and developers from all over the
World.
The VideoLAN Server can stream MPEG content from several sources
(MPEG 1 or 2 files, DVDs, satellite cards, digital terrestial television
cards, real time MPEG encoding cards) over an IP network in unicast or
multicast.
You may install vls-dvd to allow DVD streaming and/or vls-dvb to be able
to stream digital unencrypted satellite channels and digital unencrypted
terrestial television channels from a DVB device.

%prep
%setup -q
%patch0 -p0

%build
%configure2_5x --disable-debug --enable-dvb --with-libdvb=%_libdir
%make 

%install
%makeinstall

%clean
rm -rf %buildroot

%files -n %{name}
%defattr(-,root,root,-)
%doc AUTHORS README ChangeLog doc/*
%config(noreplace) %{_sysconfdir}/videolan/vls/vls.cfg
%{_bindir}/vls
%{_bindir}/vlsd
%dir %{_libdir}/videolan/
%dir %{_libdir}/videolan/vls/
%{_libdir}/videolan/vls/dvdreader.so
%{_libdir}/videolan/vls/dvbinput.so
%{_libdir}/videolan/vls/dvbreader.so

%changelog
* Wed Jul 20 2005 Nicolas Lcureuil <neoclust@mandriva.org> 0.5.6-5mdk
- Fix BuildRequires

* Mon Jul 18 2005 Nicolas Lcureuil <neoclust@mandriva.org> 0.5.6-4mdk
- Rebuild for new libdvbpsi-devel

* Mon Jul 04 2005 Nicolas Lcureuil <neoclust@mandriva.org> 0.5.6-3mdk
- Rebuild
- %%mkrel 
- Fix summary

* Wed Jun 30 2004 Thierry Vignaud <tvignaud@mandrakesoft.com> 0.5.6-2mdk
- rebuild for new g++
- patch 0: fix compiling with new g++

* Tue Apr 27 2004 Gtz Waschk <waschk@linux-mandrake.com> 0.5.6-1mdk
- initial package

* Sun Dec 8 2002 Alexis de Lattre <alexis@videolan.org>
- Updated vls.spec for the vls 0.4.5 release.

* Mon Oct 14 2002 Alexis de Lattre <alexis@videolan.org>
- Updated vls.spec for the vls 0.4 release.

* Tue Apr 9 2002 Arnaud de Bossoreille de Ribou <bozo@via.ecp.fr>
- split into two separate packages.

* Thu Apr 4 2002 Jean-Paul Saman <saman@natlab.research.philips.com>
- first version of package for redhat systems.

